Loading...
Searching...
No Matches
text.h File Reference
`#include <stdint.h>`
`#include "arc/graphics/color.h"`
`#include "arc/graphics/renderer.h"`
`#include "arc/math/point.h"`
`#include "arc/std/string.h"`

Go to the source code of this file.

## Typedefs

typedef struct ARC_Text | ARC_Text

## Functions

void | ARC_Text_Create (ARC_Text **text, ARC_String *path, int32_t size, ARC_Color color)
void | ARC_Text_Destroy (ARC_Text *font)
void | ARC_Text_SetString (ARC_Text *text, ARC_Renderer *renderer, ARC_String *string)
void | ARC_Text_Render (ARC_Text *text, ARC_Renderer *renderer)
void | ARC_Text_SetPos (ARC_Text *text, ARC_Point pos)

## Typedef Documentation

## ARC_Text

typedef struct ARC_Text ARC_Text

Definition at line 14 of file text.h.

## Function Documentation

## ARC_Text_Create()

void ARC_Text_Create | ( | ARC_Text ** | text,
|  | ARC_String * | path,
|  | int32_t | size,
|  | ARC_Color | color )

## ARC_Text_Destroy()

void ARC_Text_Destroy | ( | ARC_Text * | font | ) |

## ARC_Text_Render()

void ARC_Text_Render | ( | ARC_Text * | text,
|  | ARC_Renderer * | renderer )

## ARC_Text_SetPos()

void ARC_Text_SetPos | ( | ARC_Text * | text,
|  | ARC_Point | pos )

## ARC_Text_SetString()

void ARC_Text_SetString | ( | ARC_Text * | text,
|  | ARC_Renderer * | renderer,
|  | ARC_String * | string )